@use '../../stylesheets/core';

.rui-toolbar {
  display: inline-flex;
  height: 1.5625rem;
  align-items: stretch;
  border-radius: var(--border-radius);

  &__label {
    padding: var(--spacer-small) var(--spacer-default);
    background-color: var(--component-content-background);
    font-size: var(--font-size-smaller);
  }

  &__separator {
    width: 1px;
    height: 1em;
    margin: var(--spacer-small) 0;
    background-color: var(--button-background--active);
  }

  > .rui-button--block {
    flex-grow: 1;
  }

  &__label,
  > button:first-child,
  > .rui-button:first-child {
    border-bottom-left-radius: var(--border-radius);
    border-top-left-radius: var(--border-radius);
  }

  > button:last-child,
  > .rui-button:last-child {
    border-bottom-right-radius: var(--border-radius);
    border-top-right-radius: var(--border-radius);
  }

  &--block {
    display: flex;
  }

  &--no-label-on-small {
    @include core.respond-to('small') {
      .rui-toolbar__label {
        @include core.sr-only();
      }

      button:first-of-type,
      a:first-of-type {
        border-bottom-left-radius: var(--border-radius);
        border-top-left-radius: var(--border-radius);
      }
    }
  }

  &--has-right-content {
    > :nth-last-child(2) {
      border-bottom-right-radius: var(--border-radius);
      border-top-right-radius: var(--border-radius);
    }

    .rui-toolbar__right-content {
      margin-left: var(--spacer-tiny);
    }
  }
}
